#include "Polya.h"
#include "TMath.h"
#include <cmath>

#if 0
ClassImp(TPC::Polya)
namespace TPC {
#else
ClassImp(GEN::Polya)
namespace GEN {
#endif
// C-tor
Polya::Polya(double theta, double norm)
   : TF1   ("polya",
#if 0
	    &TPC::Polya::PDF,  // function pointer
#else
	    &GEN::Polya::PDF,  // function pointer
#endif
             0., 10.,          // (Gmin, Gmax) : Gmean=1
             2)                // # parameters (theta, norm) 
{
    SetParameter(0, theta);
    SetParameter(1, norm );
}

double Polya::PDF(const double *xv, const double *pv)
{
    double theta = pv[0];
    double norm  = pv[1];
    double x     = xv[0];

    double val = norm*(TMath::Power(theta+1,theta+1)
		      /TMath::Gamma(theta+1))
 	              *TMath::Power(x,theta)*TMath::Exp(-(theta+1)*x);
    return val;
}
}
