#include "PlotPhiDep.C"
#include <TSystem.h>

void PlotPhiDepAll()
{
  //--
  // Initialize a multi-graph
  //--
  auto mgp = new TMultiGraph;
  //--
  // List and sort sgx files in the descending order of drift length
  //--
  TString list = gSystem->GetFromPipe("ls sgx.*.dat | sort -r");
  cerr << list << endl;

  //--
  // Loop over sgx files and add the phi-dependence graph
  //--
  stringstream slist(list.Data());
  string infile;
  while (slist >> infile) {
    mgp->Add(PlotPhiDep(infile.data()));
  }
  //--
  // Draw all the phi-dep graphs in the same window
  //--
  mgp->Draw("apc");
}
